import { BaseUrlResolver } from "../BaseResolver.js";
export class bayfilesResolver extends BaseUrlResolver {
    constructor() {
        super({
            domains: [/https?:\/\/(bayfiles|anonfiles)/],
            speedRank: 70
        });
    }
    async resolveInner(_urlToResolve) {
        const response = await this.gotInstance(_urlToResolve);
        const link = this.scrapeLinkHref(response.body, '#download-url');
        //console.log(link);
        if (link) {
            const title = this.extractFileNameFromUrl(link);
            return [
                { link, isPlayable: true, title }
            ];
        }
        return [];
    }
}
//# sourceMappingURL=bayfiles.js.map