import { BaseUrlResolver } from "../BaseResolver.js";
export class DnsmasterResolver extends BaseUrlResolver {
    constructor() {
        super({
            domains: [/https?:\/\/(dnsmaster)/],
            speedRank: 95
        });
    }
    async resolveInner(_urlToResolve) {
        const title = this.extractFileNameFromUrl(_urlToResolve);
        const result = {
            isPlayable: true,
            link: _urlToResolve,
            title
        };
        return [result];
    }
}
//# sourceMappingURL=dnsmaster.js.map