import { BaseUrlResolver } from "../BaseResolver.js";
export class SemdCmResolver extends BaseUrlResolver {
    constructor() {
        super({
            domains: [/https?:\/\/send\.cm\//],
            speedRank: 80
        });
    }
    async resolveInner(_urlToResolve) {
        const body = await fetch(_urlToResolve).then(r => r.text());
        const link = this.parseElementAttributes(body, '#vjsplayer source', 'src')[0];
        const title = this.extractFileNameFromUrl(link);
        const result = { link, title, isPlayable: true };
        result.headers = { 'referer': _urlToResolve };
        return result;
    }
}
//# sourceMappingURL=send.cm.js.map