import { BaseUrlResolver } from "../BaseResolver.js";
export class UploadFlixResolver extends BaseUrlResolver {
    constructor() {
        super({
            domains: [/https?:\/\/(dl\.)?uploadflix/],
            speedRank: 85
        });
    }
    async resolveInner(_urlToResolve) {
        const resp = await this.gotInstance(_urlToResolve);
        const link = this.scrapeLinkHref(resp.body, '.download a');
        if (link) {
            const title = this.extractFileNameFromUrl(link);
            return {
                link,
                title,
                isPlayable: true
            };
        }
        return [];
    }
}
//# sourceMappingURL=uploadFlix.js.map