import { BaseUrlResolver } from "../BaseResolver.js";
export class uppitResolver extends BaseUrlResolver {
    constructor() {
        super({
            domains: [/https?:\/\/(uppit)/],
            speedRank: 95,
            useCookies: true
        });
    }
    async resolveInner(_urlToResolve) {
        const resp = await this.gotInstance(_urlToResolve);
        const resp2 = await this.postHiddenForm(resp.url, resp.body);
        const link = this.scrapeLinkHref(resp2, '.masthead a');
        const title = this.extractFileNameFromUrl(link);
        const result = {
            isPlayable: true,
            link,
            title
        };
        return [result];
    }
}
//# sourceMappingURL=uppitResolver.js.map