import { BaseUrlResolver } from "../BaseResolver.js";
export class veryFastDownloadResolver extends BaseUrlResolver {
    constructor() {
        super({
            domains: [/https?:\/\/veryfastdownload/],
            speedRank: 95
        });
    }
    async resolveInner(_urlToResolve) {
        const u = new URL(_urlToResolve);
        u.pathname = '/v3/embed2.php';
        // const response = await this.gotInstance(u.toString());
        // console.log(response.body);
        const { data } = await this.scrapeItAsync(u.toString(), {
            output: {
                selector: 'source',
                attr: 'src'
            }
        });
        const { output } = data;
        const result = { link: output, title: 'veryfastdownload', isPlayable: true };
        return [result];
    }
}
//# sourceMappingURL=veryFastDownload.js.map